php-phar-io-version_2.0.1-1build5_all.deb


Advertisement

Description

php-phar-io-version - handling version information and constraint

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename php-phar-io-version_2.0.1-1build5_all.deb
Package name php-phar-io-version
Package version 2.0.1
Package release 1build5
Package architecture all
Package type deb
Category universe/php
Homepage https://github.com/phar-io/version
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 7.25 KB
Installed size 53.00 KB
This library allows one to parse version constraints and check discrete
versions for compliance. It handles both the caret and tilde operators.

Alternatives

Package Version Architecture Repository
php-phar-io-version_2.0.1-1build5_all.deb 2.0.1 all Ubuntu Universe
php-phar-io-version - - -

Requires

Name Value
php-common -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-phar-io-version_2.0.1-1build5_all.deb
Source Package php-phar-io-version

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-phar-io-version deb package:
    # sudo apt-get install php-phar-io-version

Files

Path
/usr/share/doc/php-phar-io-version/README.md
/usr/share/doc/php-phar-io-version/changelog.Debian.gz
/usr/share/doc/php-phar-io-version/copyright
/usr/share/php/PharIo/Version/PreReleaseSuffix.php
/usr/share/php/PharIo/Version/Version.php
/usr/share/php/PharIo/Version/VersionConstraintParser.php
/usr/share/php/PharIo/Version/VersionConstraintValue.php
/usr/share/php/PharIo/Version/VersionNumber.php
/usr/share/php/PharIo/Version/autoload.php
/usr/share/php/PharIo/Version/constraints/AbstractVersionConstraint.php
/usr/share/php/PharIo/Version/constraints/AndVersionConstraintGroup.php
/usr/share/php/PharIo/Version/constraints/AnyVersionConstraint.php
/usr/share/php/PharIo/Version/constraints/ExactVersionConstraint.php
/usr/share/php/PharIo/Version/constraints/GreaterThanOrEqualToVersionConstraint.php
/usr/share/php/PharIo/Version/constraints/OrVersionConstraintGroup.php
/usr/share/php/PharIo/Version/constraints/SpecificMajorAndMinorVersionConstraint.php
/usr/share/php/PharIo/Version/constraints/SpecificMajorVersionConstraint.php
/usr/share/php/PharIo/Version/constraints/VersionConstraint.php
/usr/share/php/PharIo/Version/exceptions/Exception.php
/usr/share/php/PharIo/Version/exceptions/InvalidPreReleaseSuffixException.php
/usr/share/php/PharIo/Version/exceptions/InvalidVersionException.php
/usr/share/php/PharIo/Version/exceptions/UnsupportedVersionConstraintException.php

Changelog

2018-07-12 - Gianfranco Costamagna <locutusofborg@debian.org>
php-phar-io-version (2.0.1-1build5) cosmic; urgency=medium
* Rebuild against new phpunit7 bootstrapped stack.
2018-07-12 - Gianfranco Costamagna <locutusofborg@debian.org>
php-phar-io-version (2.0.1-1build4) cosmic; urgency=medium
* Rebuild against new phpunit7 bootstrap.
2018-07-10 - David Prévot <taffit@debian.org>
php-phar-io-version (2.0.1-1) unstable; urgency=medium
[ Sebastian Heuer ]
* change version comparison so that a version without a pre-release
suffix is always greater than a version with a pre-release suffix
[ David Prévot ]
* Update Standards-Version to 4.1.5
2018-07-02 - David Prévot <taffit@debian.org>
php-phar-io-version (2.0.0-1) unstable; urgency=medium
[ Sebastian Heuer ]
* introduce CHANGELOG.md
[ David Prévot ]
* Use now provided upstream changelog
* Move project repository to salsa.d.o
* Update Standards-Version to 4.1.4
2017-08-23 - David Prévot <taffit@debian.org>
php-phar-io-version (1.0.1-1) unstable; urgency=low
* Initial release (New phpunit dependency)

See Also

Package Description
php-php-gettext_1.0.12-0.1_all.deb read gettext MO files directly, without requiring anything other than PHP
php-phpdbg_7.2+69ubuntu1_all.deb server-side, HTML-embedded scripting language (PHPDBG binary) (default)
php-phpdocumentor-reflection-common_1.0.1-1_all.deb Common reflection classes - phpDocumentor component
php-phpdocumentor-reflection-docblock_4.3.0-1_all.deb DocBlock parser - phpDocumentor component
php-phpdocumentor-type-resolver_0.4.0-2_all.deb TypeResolver and FqsenResolver - phpDocumentor component
php-phpseclib_2.0.14-1_all.deb implementations of an arbitrary-precision integer arithmetic library
php-phpspec-prophecy_1.8.0-1_all.deb object mocking framework - phpspec component
php-pimple_3.0.2-2ubuntu1_all.deb simple dependency injection container -- class
php-pinba_1.1.0-5_amd64.deb Pinba module for PHP
php-propro-dev_2.1.0+1.0.2-2_all.deb propro module for PHP development headers [dummy]
php-propro_2.1.0+1.0.2-2_amd64.deb propro module for PHP
php-proxy-manager_2.2.2-1_all.deb library providing utilities to operate with Object Proxies
php-ps_1.4.1-1build1_amd64.deb ps module for PHP
php-psr-cache_1.0.1-1_all.deb Common interface for caching libraries
php-psr-container_1.0.0-1_all.deb Common Container Interface (PHP FIG PSR-11)
Advertisement
Advertisement